Loading...
Searching...
No Matches
seqan3::structure_file_output_options Struct Reference
IO » Structure File

The options type defines various option members that influence the behaviour of all or some formats. More...

`#include <seqan3/io/structure_file/output_options.hpp>`

## Public Attributes

bool | add_carriage_return = false
| The default plain text line-ending is "\n", but on Windows an additional carriage return is recommended ("\r\n" for line-ending).
int | precision = 6
| The precision for writing floating point types.

## Detailed Description

The options type defines various option members that influence the behaviour of all or some formats.

Remarks
  For a complete overview, take a look at Structure File

The documentation for this struct was generated from the following file:

- structure_file/output_options.hpp

Hide me